> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/bidlinkedaccount.md).

# BIDLinkedAccount

**public class** BIDLinkedAccount extends **Object**

↳ **package** com.onekosmos.blockid.sdk.datamodel

***

Model class to represent the linked account data (attributes).

### Method Summary

| Type                  | Name                                                | Description                                                                                    |
| --------------------- | --------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| **boolean**           | equals(@Nullable Object obj)                        | Overrides equals (in class java.lang.Object) to check equality of two BIDLinkedAccount objects |
| **BIDAccount**        | getAccount()                                        | Returns BIDAccount object of linked account                                                    |
| **String**            | getAuthPage()                                       | Returns authentication page of linked account.                                                 |
| **BIDOrigin**         | getOrigin()                                         | Returns BIDOrigin of linked account                                                            |
| **BIDPasswordPolicy** | getPasswordPolicy()                                 | Returns password policy                                                                        |
| **String**            | getUserId()                                         | Return User ID of linked account.                                                              |
| **void**              | setAccount(BIDAccountaccount)                       | Set BIDAccount for linked account                                                              |
| **void**              | setAuthPage(String authPage)                        | Set AuthPage for linked account.                                                               |
| **void**              | setOrigin(BIDOrigin origin)                         | Set origin for linked account                                                                  |
| **void**              | setPasswordPolicy(BIDPasswordPolicy passwordPolicy) | Set password policy                                                                            |
| **void**              | setUserId(String userId)                            | Set User ID for linked account                                                                 |

### Method Detail

#### equals

**public boolean** equals(@Nullable Object obj)

* Overrides equals (in class java.lang.Object) to check equality of two BIDLinkedAccount objects.

***

#### getAccount

**public** **BIDAccount** getAccount()

* Returns the BIDAccount object of the linked account.

***

#### getAuthPage

**public** String getAuthModuleId()

* Returns the authentication page of the linked account.

***

#### getOrigin

**public** BIDOrigin getOrigin()

* Returns the BIDOrigin of the linked account.

***

#### **getPasswordPolicy**

**public** BIDPasswordPolicy getPasswordPolicy()

* Returns the password policy of the linked account.

***

#### getUserId

**public** String getUserId()

* Returns the user ID of the linked account.

***

#### setAccount

**public void** setAccount(BIDAccountaccount)

* Set BIDAccount for linked account.

| **Parameter** |                         |
| ------------- | ----------------------- |
| account       | BIDAccount: BID Account |

***

#### setAuthPage

**public void** setAuthPage(String authPage)

* Set AuthPage for linked account.

| **Parameter** |                       |
| ------------- | --------------------- |
| authPage      | **String**: Auth Page |

***

#### setOrigin

**public void** setOrigin(BIDOrigin origin)

* Set origin for linked account.

| **Parameter** |                       |
| ------------- | --------------------- |
| origin        | BIDOrigin: BID Origin |

***

#### setPasswordPolicy

**public void** setPasswordPolicy(BIDPasswordPolicy passwordPolicy)

* Set password policy for the linked account.

| **Parameter**  |                                        |
| -------------- | -------------------------------------- |
| passwordPolicy | BIDPasswordPolicy: BID Password Policy |

***

#### setUserId

**public void** setUserId(String userId)

* Set User ID for the linked account

| **Parameter** |                     |
| ------------- | ------------------- |
| userId        | **String**: User ID |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/bidlinkedaccount.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
